Scilab function
Last update : 16/6/2004

qassign - résout un problème d'affectation quadratique

### Calling Sequence

  `[crit,order] = qassign(c,f,d)`

### Parameters

- `c` : matrice réelle
- `f` : matrice réelle
- `d` : matrice réelle
- `crit` : scalaire
- `order` : vecteur ligne d'entiers

### Description

`qassign` résout un problème d'affectation quadratique i.e. minimiser le critère global : `crit = e(1)+...+e(n)` where `e(i) = c(i,l(i))+ fd(i)` where `fd(i) = f(i,1)*d(l(i),l(1))+...+f(i,n)*d(l(i),l(n))`

`c`, `f` et `d` sont des matrices n x n; leurs termes diagonaux sont nuls.

### Examples

    n=15;
    d=100*rand(15,15);
    d=d-diag(diag(d));
    c=zeros(n,n);f=c;
    f(2:n,1)=ones(1:n-1)';
    [crit,order]=qassign(c,f,d)

### See Also

`knapsack`,